#pragma once

namespace lib_geo
{
namespace util
{

class StringRef
{
public:
	StringRef(void) :
		beg(0),
		end(0)
	{
	}

	StringRef(char* _beg, char* _end) :
		beg(_beg),
		end(_end)
	{
	}

	char* GetBegin(void) { return beg; }
	char* GetEnd(void) { return end; }

	size_t GetLength(void)
	{
		return size_t(end - beg);
	}

private:
	char* beg;
	char* end;
};

}
}
